E-MailRelay

Public Member Functions | Friends | List of all members
GPop::StoreUser Class Reference

Holds the list of messages available to a particular pop user. More...

`#include <gpopstore.h>`

## Public Member Functions
| StoreUser (Store &, const std::string &user)
| Constructor. More...
| StoreUser (const StoreUser &)=delete
| StoreUser (StoreUser &&)=delete
StoreUser & | operator= (const StoreUser &)=delete
StoreUser & | operator= (StoreUser &&)=delete

## Friends
class | GPop::StoreList

## Detailed Description

Holds the list of messages available to a particular pop user.

Definition at line 118 of file gpopstore.h.

## Constructor & Destructor Documentation

## ◆ StoreUser()

GPop::StoreUser::StoreUser | ( | Store & | store,
|  | const std::string & | user
| ) |  |

Constructor.

Definition at line 189 of file gpopstore.cpp.

## Friends And Related Function Documentation

## ◆ GPop::StoreList

friend class GPop::StoreList
| friend

Definition at line 132 of file gpopstore.h.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gpop/gpopstore.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gpop/gpopstore.cpp